Subject: Re: blacklisting backscatter
From: Sabahattin Gucukoglu <[email-masked]>
To: John Leslie <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Apr 2010 01:21:23 +0100
List-Id: <ietf-smtp.imc.org>

On 10 Apr 2010, at 14:33, John Leslie wrote:
  What do folks think of
> 
> http://www.backscatterer.org/?target=backscatter

Not for me.  Too much froth from the mouth there, I think.

Disclaimer: I knowingly backscatter, when I can't help it.  My domain started life and continues to this day as a catch-all, which makes it hard sometimes not to.  I'm still rethinking this seriously, but in the meantime it's not on that list and AFAIK never has been.  And even if I used fixed address, my mailing lists would for example provide a backscatter source, with forged mail or subscription requests, etc.

>   (Hopefully we agree that backscatter deserves to be avoided; but
> automated blacklisting for backscatter worries me a bit...)

+1

You may be interested to know that qmail, the "Village idiot" of MTAs which is pervaded by this problem out of the box, is jerkily progressing through to inclusion into Debian Linux.  The technical committee review consensus has been, "Fix the backscatter problem, and we'll let it in, pending a month of bugs."  See here for the details:
http://smarden.org/pape/Debian/sid.html

What this seems to say is that the problem is different things to different people.  FTR, I'm no qmail fanboy, but people should have that choice.  Some of qmail's weird behaviour is good and desirable to others, and it's a question of who's priorities are under consideration as to whether or not the software is suitable.  The proponents of backscatter of course argue that it discloses less about valid recipients, when the recipient address isn't immediately rejected if unknown.

Cheers,
Sabahattin